<template>
  <div>
    <div class="align-center mb-3">
      <v-layout justify-space-between align-center>
        <v-flex xs12 md6>
          <div class="search-input">
            <v-text-field label="code、name" v-model="search" prepend-icon="search" clearable clear-icon="cancel" single-line/>
          </div>
        </v-flex>
        <v-flex xs12 md6>
          <div class="handler-btn">
            <v-btn color="info" @click="openDialog">new</v-btn>
            &#x3000;&nbsp;
          </div>
        </v-flex>
      </v-layout>
    </div>
    <v-container grid-list-md style="max-width:100%;">
      <v-layout column>
       <BacktestCard/>
       <BacktestCard/>
       <BacktestCard/>
      </v-layout>
    </v-container>
    <AddBacktestDialog ref="dialog"/>
  </div>
</template>

<script>
import AddBacktestDialog from './components/Backtest/AddBacktestDialog'
import BacktestCard from './components/Backtest/BacktestCard'
export default {
  components: {
    BacktestCard,
    AddBacktestDialog
  },
  data () {
    return {
      search: ''
    }
  },
  methods: {
    openDialog () {
      this.$refs.dialog.show()
    }
  },
  async mounted () {
    await this.$store.dispatch('backtest/getStrategySearch')
  }
}
</script>
